[ovs-discuss] Regarding OpenvSwitch in Xenserver5.6

Ben Pfaff blp at nicira.com
Fri Dec 3 17:30:59 UTC 2010


On Fri, Dec 03, 2010 at 10:43:32PM +0530, Ramana Reddy wrote:
> Hi Ben Pfaff,
> Thanks for reply. I have one more doubt regarding Openvswitch modules
> namely br_compat.ko and openvswitch_mod.ko
> 
> The linux bridge code in Xenserver creates bridges for each PIF,
> and openvswicth_mod.ko also creates the same thing apart from more
> functionality and robustness.
> Then what is the need of br_compat.ko module. When it is needed
> as it depends again openvswitch_mod.ko module.
> 
> How these two are interrelated each other?

The brcompat module isn't needed at all on XenServer 5.6.  It should not
be loaded by default.  It is only used on XenServer 5.5, because that
version of XenServer hadn't yet been adapted to use Open vSwitch
directly.




More information about the discuss mailing list